/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
package borland.samples.intl.beans.resources;

import java.util.*;

public class LocaleChooserRes_en extends ListResourceBundle {
  static final Object[][] contents = {
    // inspector property name short descriptions
    {"localeChoices","Locales to display in locale tree"},
    {"selectedLocales","Locales to be visually selected by default in locale tree"},
    {"displayStyle","Locale name display style"},
    {"acceptLeafNodesOnly","Allow only leaves of locale tree to be chosen"},
    {"allowMultiSelect","Allow multiple locales to be selected"},
    {"title","Title at root of locale tree"},
    {"collationLocale","Locale used to collate entries in locale tree"},

    // inspector event name short descriptions
    {"localeChanged","Called when a new locale is chosen in locale tree"},

    // generic title
    {"Select_a_locale","Select a locale"},

    // collation locale custom editor title
    {"default_runtime_locale","(default runtime locale)"},

    // locale choices custom editor title
    {"all_runtime_locales","(all runtime locales)"},

    // selected locales custom editor title
    {"none_selected","(no locales)"},
  };

  protected Object[][] getContents() {
    return contents;
  }
}
