/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
package borland.samples.tutorial.dataset.picklist;

import java.awt.*;
import java.awt.event.*;
import borland.jbcl.control.*;
import borland.jbcl.layout.*;
import borland.sql.dataset.*;
import borland.jbcl.dataset.*;

public class PickList_Frame1 extends DecoratedFrame {
  BorderLayout borderLayout1 = new BorderLayout();
  Database database1 = new Database();
  QueryDataSet queryDataSet1 = new QueryDataSet();
  QueryDataSet queryDataSet2 = new QueryDataSet();
  Column column1 = new Column();
  GridControl gridControl1 = new GridControl();

  //Construct the frame
  public PickList_Frame1() {
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  //Component initialization
  private void jbInit() throws Exception{    
    this.setLayout(borderLayout1);
    this.setSize(new Dimension(400, 300));
    this.setTitle("PickList Example");
    database1.setConnection(new borland.sql.dataset.ConnectionDescriptor("jdbc:odbc:dataset tutorial", "SYSDBA", "masterkey", false, "sun.jdbc.odbc.JdbcOdbcDriver"));
    queryDataSet1.setQuery(new borland.sql.dataset.QueryDescriptor(database1, "select country from country", null, true, Load.ALL));
    queryDataSet2.setQuery(new borland.sql.dataset.QueryDescriptor(database1, "select emp_no, first_name, job_country from employee", null, true, Load.ALL));
    column1.setColumnName("JOB_COUNTRY");
    column1.setDataType(borland.jbcl.util.Variant.STRING);
    column1.setPickList(new borland.jbcl.dataset.PickListDescriptor(queryDataSet1, new String[] {"COUNTRY"}, new String[] {"COUNTRY"}, new String[] {"JOB_COUNTRY"}, false));
    gridControl1.setDataSet(queryDataSet2);
    queryDataSet2.setColumns(new Column[] {column1});
    this.add(gridControl1, BorderLayout.CENTER);
  }
}

