/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
package borland.samples.tutorial.dataset.storproc;

import java.awt.*;
import java.awt.event.*;
import borland.jbcl.control.*;
import borland.jbcl.layout.*;
import borland.sql.dataset.*;
import borland.jbcl.dataset.*;

public class StorProc_Frame1 extends DecoratedFrame {
  BorderLayout borderLayout1 = new BorderLayout();
  BevelPanel bevelPanel1 = new BevelPanel();
  Database database1 = new Database();
  ProcedureDataSet procedureDataSet1 = new ProcedureDataSet();
  GridControl gridControl1 = new GridControl();
  NavigatorControl navigatorControl1 = new NavigatorControl();
  StatusBar statusBar1 = new StatusBar();
  Column column1 = new Column();
  BevelPanel bevelPanel2 = new BevelPanel();
  BorderLayout borderLayout3 = new BorderLayout();
  FlowLayout flowLayout1 = new FlowLayout();

  //Construct the frame
  public StorProc_Frame1() {
    try {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }

  //Component initialization
  private void jbInit() throws Exception{
    this.setLayout(borderLayout1);
    this.setSize(new Dimension(400, 300));
    this.setTitle("Frame Title");
    database1.setConnection(new borland.sql.dataset.ConnectionDescriptor("jdbc:odbc:dataset tutorial", "SYSDBA", "masterkey", false, "sun.jdbc.odbc.JdbcOdbcDriver"));
    procedureDataSet1.setTableName("country");
    procedureDataSet1.setProcedure(new borland.sql.dataset.ProcedureDescriptor(database1, "select * from GET_COUNTRIES", null, true, Load.ALL));
    gridControl1.setDataSet(procedureDataSet1);
    navigatorControl1.setDataSet(procedureDataSet1);
    statusBar1.setDataSet(procedureDataSet1);
    statusBar1.setText("See \'Obtaining data through a stored procedure\' for instructions");
    column1.setColumnName("COUNTRY");
    column1.setDataType(borland.jbcl.util.Variant.STRING);
    column1.setRowId(true);
    bevelPanel2.setLayout(flowLayout1);
    bevelPanel1.setLayout(borderLayout3);
    this.add(bevelPanel1, BorderLayout.CENTER);
    bevelPanel1.add(gridControl1, BorderLayout.CENTER);
    bevelPanel1.add(statusBar1, BorderLayout.SOUTH);
    bevelPanel1.add(bevelPanel2, BorderLayout.NORTH);
    bevelPanel2.add(navigatorControl1, null);
    procedureDataSet1.setColumns(new Column[] {column1});
  }
}

