/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
package borland.samples.tutorial.dataset.providers;

import java.awt.*;
import java.awt.event.*;
import borland.jbcl.control.*;
import borland.jbcl.layout.*;
import java.lang.*;
import borland.jbcl.dataset.*;

public class TestFrame extends DecoratedFrame {

  //Construct the frame
  BorderLayout borderLayout1 = new BorderLayout();
  BevelPanel bevelPanel1 = new BevelPanel();
  TableDataSet tableDataSet1 = new TableDataSet();
  GridControl gridControl1 = new GridControl();
  NavigatorControl navigatorControl1 = new NavigatorControl();
  BorderLayout borderLayout2 = new BorderLayout();
  ProviderBean providerBean1 = new ProviderBean();
  ResolverBean resolverBean1 = new ResolverBean();
  
  public TestFrame() {
    try  {
      jbInit();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
  
  //Component initialization
  private void jbInit() throws Exception  {
    this.setLayout(borderLayout1);
    this.setSize(new Dimension(400, 300));
    this.setTitle("Frame Title");
    tableDataSet1.setProvider(providerBean1);
    tableDataSet1.setResolver(resolverBean1);
    gridControl1.setDataSet(tableDataSet1);
    navigatorControl1.setDataSet(tableDataSet1);
    bevelPanel1.setLayout(borderLayout2);
    this.add(bevelPanel1, BorderLayout.CENTER);
    bevelPanel1.add(gridControl1, BorderLayout.CENTER);
    bevelPanel1.add(navigatorControl1, BorderLayout.NORTH);
  }
}

       
