/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
package borland.samples.intl.application.resources;

import java.util.*;

public class TextRes_en extends ListResourceBundle {
  static final Object[][] contents = {
     {"postal_code_editmask","cccccccccccccccccccc"},
     {"province_editmask","cccccccccccccccccccccccccccccc"},
     {"phone_editmask","cccccccccccccccccccc"},
     {"month_year_editmask","MM/yy"},
     {"value_required","<value required>"},
     {"OK","OK"},
     {"format_error","Please check the format of the value you entered"},
     {"enter_value","Please enter a {0} value"},
     {"card_expired","Credit card has already expired"},
     {"read_only","You cannot modify this value"},
     // needed in case translated descriptions are not available for a particular locale
     {"1001","JBuilder is a scalable, visual Java development tool for creating high-performance, platform-independent client/server and multi-tier applications that span the enterprise. JBuilder's highly productive, component-based environment is designed for all levels of development projects ranging from applets and applications that require client/server database connectivity to enterprise-wide, distributed computing solutions."},
     {"1002","Delphi has won over 30 awards for technical innovation based on its unique combination of the world's fastest optimizing native code compiler, high productivity object-oriented component architecture and scalable database technology."},
     {"1003","IntraBuilder is the first complete set of visual JavaScript tools that let corporate developers easily create, maintain, and deploy live, data-driven Intranet applications. Combining Borland's robust database tools with JavaScript, the powerful Web scripting language developed by Netscape, IntraBuilder users can quickly create cross-platform Web database solutions - without complex programming."},
     {"1004","C++ Builder for Windows 95 and NT gives you the speed of visual development, the productivity of reusable components and the power of C++. C++Builder complements existing tools and code, provides scalable database connectivity, and delivers the most complete Desktop and Client/Server application development solution for C++ developers."},
     {"1005","Borland C++ maximizes your productivity with parallel 32/16-bit development from one IDE. Enjoy faster build time with new incremental linking technology. Use industry standard OWL and MFC - source code is in the box! Speed development with the fully programmable Object Scripting IDE and the best ANSI/ISO C++ implementation available. Award-winning Borland C++ 4.5 is included for Windows 3.1-hosted development. Also compatible with Borland C++Builder!"},
     {"2001","Insulated sports water bottle with flexible straw and cap. Keeps 32 oz. of your favorite sports drink cool for hours.  Made of plastic with removable insulation imprinted with Borland logo."},
     {"2002","Limited Edition Borland monogrammed golf balls. Improve your golf game RADically with these high-tech balls by Titleist.  Available in boxed sets of 3."},
     {"2003","Borland Collector's Edition mousepad. Glide your mouse along at turbo speed on this specially-designed mousepad. Order now--supplies are limited!"}, 
     {"2004","Fill once, go anywhere with the Borland ceramic commuter coffee mug. With its wide, stable base and narrow brim, there's no need to worry about spilling your favorite Java all over your desktop. 16 oz. capacity, available in Black, Burgundy, Maroon, or Emerald."},
     {"2005","Prove your point with the Borland ball-point pen. Lightweight, extra-wide barrel is easy on your fingertips. Accepts standard ink refills, available in Burgundy, Black, or Emerald."},
     {"3001","Go to the game in style with the Borland two-tone baseball cap. One size fits all, available in Beige/Charcoal, Lt. Grey/Dk. Grey, and Burgundy/Burgundy."},
     {"3002","Slip into this attractive nylon jacket and you'll stay comfortably warm in wind and rain. The Borland logo is embroidered to match the contrast lining. Avaliable in Lt. Blue/Charcoal and White/Black.  Sizes: L, XL."},
     {"3003","Strike a stylish note without giving up comfort in the perennially popular Borland logo polo shirt. Available in a rainbow of  colors: White, Red, Blue, Teal, Violet, Emerald, and Black. Sizes: M, L, XL. "},
     {"3004","Exercise in style and comfort with the Borland logo sport shorts. 100% nylon with cotton-lining side and rear pockets.  Available in Blue, Red, and White.  Sizes: S, M, L."},
     {"3005","Classic Borland sweatshirt. The perfect gift for the techno-savvy athlete. Made of 100% cotton with the Borland logo embroidered on left front. Available in Lt. Grey, White, and Navy. Sizes: M, L, XL."},
     {"N/A","<N/A>"},
     {"one_for_all","one size fits all"},
     {"S","S"},
     {"M","M"},
     {"L","L"},
     {"XL","XL"},
     {"white_black","White/Black"},
     {"white","White"},
     {"black","Black"},
     {"burgundy","Burgundy"},
     {"maroon","Maroon"},
     {"emerald","Emerald"},
     {"beige_charcoal","Beige/Charcoal"},
     {"ltGrey_dkGrey","Lt. Grey/Dk. Grey"},
     {"burgundy_burgundy","Burgundy/Burgundy"},
     {"black_aqua","Black/Aqua"},
     {"navy_gold","Navy/Gold"},
     {"red_black","Red/Black"},
     {"ltblue_charcoal","Lt. Blue/Charcoal"},
     {"ltGrey","Lt. Grey"},
     {"navy","Navy"},
     {"blue","Blue"},
     {"red","Red"},
     {"teal","Teal"},
     {"violet","Violet"},
     {"phone","Phone"},
     {"fax","Fax"},
     {"province","State"},
     {"e_mail","e-mail"},
     {"last_name","Last Name"},
     {"country","Country"},
     {"address2","Address 2"},
     {"address1","Address 1"},
     {"first_name","First Name"},
     {"postal_code","Zip code"},
     {"middle_name","Middle Name"},
     {"city","City"},
     {"local_price","Local Price"},
     {"description","Description"},
     {"quantity","Quantity"},
     {"sku","Item No."},
     {"extd_price","Ext'd Price"},
     {"size","Size"},
     {"color","Color"},
     {"unit_price","Unit Price"},
  };

  protected Object[][] getContents() {
    return contents;
  }
}
