/*
 * Copyright (c) 1997-1998 Borland International, Inc. All Rights Reserved.
 * 
 * This SOURCE CODE FILE, which has been provided by Borland as part
 * of a Borland product for use ONLY by licensed users of the product,
 * includes CONFIDENTIAL and PROPRIETARY information of Borland.  
 *
 * USE OF THIS SOFTWARE IS GOVERNED BY THE TERMS AND CONDITIONS 
 * OF THE LICENSE STATEMENT AND LIMITED WARRANTY FURNISHED WITH
 * THE PRODUCT.
 *
 * IN PARTICULAR, YOU WILL INDEMNIFY AND HOLD BORLAND, ITS RELATED
 * COMPANIES AND ITS SUPPLIERS, HARMLESS FROM AND AGAINST ANY CLAIMS
 * OR LIABILITIES ARISING OUT OF THE USE, REPRODUCTION, OR DISTRIBUTION
 * OF YOUR PROGRAMS, INCLUDING ANY CLAIMS OR LIABILITIES ARISING OUT OF
 * OR RESULTING FROM THE USE, MODIFICATION, OR DISTRIBUTION OF PROGRAMS
 * OR FILES CREATED FROM, BASED ON, AND/OR DERIVED FROM THIS SOURCE
 * CODE FILE.
 */
package borland.samples.tutorial.dataset.visualevents;

import java.awt.*;
import java.awt.event.*;
import borland.sql.dataset.QueryDataSet;

public class VisualEvents_Focus implements FocusListener {
  VisualEvents_Frame target;
  QueryDataSet       qds;
  int[]              navEnabledFlags;

  public VisualEvents_Focus(VisualEvents_Frame target, QueryDataSet qds,
    int[] navEnabledFlags) {
    this.target = target;
    this.qds = qds;
    this.navEnabledFlags = navEnabledFlags;
  }

  public void focusGained(FocusEvent focusEvent) {
    target.gridFocusGained(qds, navEnabledFlags);
  }

  public void focusLost(FocusEvent focusEvent) { }
}
